Bug 653110 - clock-applet doesn't use network proxy
Summary: clock-applet doesn't use network proxy
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 14
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 15:40 UTC by bugzilla
Modified: 2012-08-16 20:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 20:19:13 UTC
Type: ---


Attachments (Terms of Use)

Description bugzilla 2010-11-14 15:40:44 UTC
Description of problem:
clock-applet doesn't use proxy in F14 (worked fine in F13) for getting temperature/weather information

Version-Release number of selected component (if applicable):
gnome-panel-2.32.0.2-2.fc14.x86_64

How reproducible:
- Set Network Proxy in System --> Preferences --> Network Proxy
- Block port 80 outgoing traffic and check the firewall log

Steps to Reproduce:
1. Tag 'Show weather' and/or 'Show temperature' in the clock-applet preferences
2. Set network proxy
3. Watch how it ignores the proxy
  
Actual results:
From machine 'netstat -pan':
tcp        0      1 192.168.1.58:59737          82.94.229.25:80             SYN_SENT    2610/clock-applet   

(82.94.229.25 is weather.noaa.gov)

From firewall log on router:
Nov 14 16:30:11 router kernel: [337792.268392] IPTABLES RULE 21 -- DENY IN=eth1 OUT=eth0 SRC=192.168.1.58 DST=82.94.229.25 LEN=60 TOS=0x00 PREC=0x00 TTL=63 ID=20681 DF PROTO=TCP SPT=59737 DPT=80 WINDOW=5840 RES=0x00 SYN URGP=0

Expected results:
clock-applet uses proxy (this is an entry from the Squid log from before the  upgrade of the machine):
1289595761.941    314 192.168.1.58 TCP_MISS/200 7064 GET http://weather.noaa.gov/mgetmetar.php? - DIRECT/82.94.229.25 text/html

Additional info:

Comment 1 Colin.Simpson 2010-11-23 19:21:11 UTC
A rotten workaround I'm using is, to 
cd /usr/libexec
mv  clock-applet clock-applet.real

Create a script named clock-applet in this directory containing.

#!/bin/bash

export http_proxy=http://wwwproxy:3128
/usr/libexec/clock-applet.real

Where wwwproxy is my proxy server. Then chmod 755 clock-applet

Nice if it was fixed.

Comment 2 DaveG 2011-07-04 11:33:00 UTC
Seeing this too. Looks like the problem is with package libgweather. HTTP is handled by libsoup. That has hooks for proxy lookup etc. but they appear not to be used/implemented in libgweather.

Also found other bugs that may be duplicates:
https://bugzilla.redhat.com/show_bug.cgi?id=636962 (Weather Report applet ignores autoconfigured network proxy)
https://bugzilla.redhat.com/show_bug.cgi?id=660247 (gnome weather doesn't work with proxy)

Not a big problem, but a security vs. functionality issue for me.

--DaveG.

Comment 3 DaveG 2011-07-23 13:14:24 UTC
Fixed for me (privoxy on host a.b.c.d:8118, network proxy: Automatic, no URL, WPAD handling in DHCP and DNS, pac file via httpd)...

$ sudo yum list 'libproxy*'
$ sudo yum install libproxy-gnome libproxy-mozjs libproxy-bin
$ export _MM_DEBUG=DEBUG
$ export _PX_DEBUG=DEBUG
$ proxy http://some.extenal.net
...
Config is: wpad://
Trying to find the PAC using WPAD...
WPAD search via: 24dns_alias_wpad_extension
PAC found!
Using pacrunner: 25mozjs_pacrunner_extension
Pacrunner returned: PROXY a.b.c.d:8118
http://a.b.c.d:8118
$

No more firewall holes!

Documentation issue?
META package containing all extension modules?

--DaveG.

Comment 4 Fedora End Of Life 2012-08-16 20:19:15 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.